var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'screen',
	   selected2:'current'
  }
});

function Update() {
	remoteScreen.refresh();
};


var remoteScreen = new Vue({
	el: '#remote_screen',
	data() {
		return{
			clicked: false,
			keys: false,
			screenControl: false,
			nHeight: 1920,
			nWidth: 1080,
			imageContainer: null
		}
	},
	mounted(){
		this.imageContainer = document.getElementById('img_container');
	},
	methods:{
		refresh: function () {
			d = new Date();
			$("#img_container").attr("src", "api/screen?t="+d.getTime());
			this.nHeight = this.imageContainer.naturalHeight;
			this.nWidth = this.imageContainer.naturalWidth;
		},
		onMouseDown: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/send_click?event=mouse_down&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
			this.clicked = true;
			return false;
		},
		onMouseUp: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/send_click?event=mouse_up&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
			this.clicked = false;
			return false;
		},
		onMouseContext: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/send_click?event=mouse_context&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
			this.clicked = false;
			return false;
		},
		onMouseMove: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/send_click?event=mouse_move&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
		},
		onKeyDown: function (event) {
			if(!this.screenControl)
				return;
			var kCode = window.event ? window.event.keyCode : (event.keyCode ? event.keyCode : (event.which ? event.which : null));
			axios
			  .get('api/send_key?event=key_down&k=' + kCode)
			  .catch(error => console.log(error));
			this.keys = true;
			event.preventDefault();
		},
		onKeyUp: function (event) {
			if(!this.screenControl)
				return;
			var kCode = window.event ? window.event.keyCode : (event.keyCode ? event.keyCode : (event.which ? event.which : null));
			axios
			  .get('api/send_key?event=key_up&k=' + kCode)
			  .catch(error => console.log(error));
			this.keys = false;
			event.preventDefault();
		}
	}
});
