
var PrependZeros = function (str, len, seperator) {
    if (typeof str === 'number' || Number(str)) {
        str = str.toString();
        return (len - str.length > 0) ? new Array(len + 1 - str.length).join('0') + str : str;
    }
    else {
        var spl = str.split(seperator || ' ')
        for (var i = 0 ; i < spl.length; i++) {
            if (Number(spl[i]) && spl[i].length < len) {
                spl[i] = PrependZeros(spl[i], len)
            }
        }
        return spl.join(seperator || ' ');
    }
};

var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'other',
	   selected2:'events'
  }
});

function Update () {

	//eventsList.refresh();
};

var eventsList = new Vue({
  el: '#events_list',
  data() {
    return {
      events: [	],
	  type: '',
	  date: '',
	  types: []
    };
  },
  mounted() {
	var today = new Date();
	var dd = today.getDate();
	var mm = today.getMonth()+1; //January is 0!
	var yyyy = today.getFullYear();
	this.date = PrependZeros( yyyy + '-' + mm + '-' + dd,2,'-');
	this.refresh();
	this.type='All';
  },
  methods: {
	refresh: function () {
		axios
		  .get('api/json_get_event_types')
		  .then(response => this.types = response.data)
		  .catch(error => console.log(error));		
		axios
		  .get('api/json_get_events')
		  .then(response => this.events = response.data)
		  .catch(error => console.log(error));		
	},
	Filter: function () {
		console.log(this.date);
		console.log(this.type);
		axios
		  .get('api/json_get_events?date='+this.date+'&type='+this.type)
		  .then(response => this.events = response.data)
		  .catch(error => console.log(error));		
	},
	GetStyle: function (type) {
		switch (type)
		{
			case 'StartApp':
				return '#65E080';
				break;
			case 'StopApp':
				return 'white';
				break;
			case 'Warning':
				return 'white';
				break;
			case 'Error':
				return '#FF7373';
				break;
			case 'StartScript':
				return 'white';
				break;
			case 'StopScript':
				return 'white';
				break;
			case 'ScriptStateChanged':
				return 'white';
				break;
			default:
				return 'white';
				break;
		}
	}
  }
});
