var topBar = new Vue({
	el: '#top_bar',
	template:
 `
<nav class="navbar navbar-static-top white-bg" role="navigation" style="margin-bottom: 0">
	<ul class="nav navbar-top-links pull-left ">
		<li><a class="right-sidebar-toggle"><i class=""></i></a></li>
		<li>
		<div class="">
			<input checked class="checkbox" type="checkbox" id="auto_refresh_" v-model="autoRefreshChecked" v-on:click="autoRefreshClick" v-show="autoRefreshVisible" />
			<label v-show="autoRefreshVisible" class="m-r-sm" for="auto_refresh_">Обновление данных</label>
			<div v-show="!autoRefreshVisible" class="label" v-bind:class="{'label-danger': !autoRefreshVisible}" style="font-size: 16px;">
				<i class="fa fa-warning"></i>&nbsp;<span class="font-bold">Нет связи</span>
			</div>
		</div>
		</li>
	</ul>
	<ul class="nav navbar-top-links pull-left ">
		<li><a class="right-sidebar-toggle"><i class=""></i></a></li>
		<li>
			<div class="label" v-bind:class="{'label-success': isConnected}"  style="font-size: 16px;">
				<span class="font-bold">{{ remoteTime }}</span>
			</div>
		</li>
		<li>
			<div class="label label-success" style="font-size: 16px;">
				<span class="font-bold">{{ computerName }}</span>
			</div>
		</li>
		<li>
			<div class="label" v-show="licenseDays!=null" v-bind:class="{'label-danger': licenseDays <=0, 'label-warning': licenseDays>0 && licenseDays<=7, 'label-success': licenseDays>7}" style="font-size: 16px;">
				<i class="fa" v-bind:class="{'fa-warning': licenseDays <=0}"></i>
				<small>{{ smallLicenseText }}</small>
				<span>&nbsp;{{ bigLicenseText }}</span>
			</div>
		</li>
	</ul>
	<ul class="nav navbar-top-links navbar-right">
		<li>
			<span class="m-r-sm">Ost Launcher v.{{ appVersion }}<span class="m-r-sm text-muted">&nbsp;({{ summver }})</span></span>
			
		</li>
		<li>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="true">
			<i class="fa"></i>					
			</a>
		</li>
	</ul>

</nav>
 `,
	data() {
		return {
			autoRefreshChecked: true,
			autoRefreshVisible: true,
			computerName: "Получаем имя...",
			remoteTime: "Получаем время...",
			appVersion: "",
			licenseDate: "...",
			licenseDays: null,
			isConnected: true,
			smallLicenseText: "",
			bigLicenseText: "",
			summver: ""
		};
	},
	mounted() {	
		this.once_refresh();
		this.refresh();
		startTimer();
	},
	methods: {
	once_refresh: function () {
		axios
		  .get('api/computername')
		  .then(response => this.computerName = response.data)
		  .catch(error => console.log(error));
		
		axios
		  .get('api/view_version')
		  .then(response => this.appVersion = response.data)
		  .catch(error => console.log(error));
		  
		axios
		  .get('api/summ_version')
		  .then(response => this.summver = response.data)
		  .catch(error => console.log(error));		
	},
	refresh: function () {
		axios
		  .get('api/local_time')
		  .then(response => this.remoteTime = response.data)
		  .catch(error => console.log(error));
	  
	  /*
		axios
		  .get('api/license_expire')
		  .then(response => this.licenseDate = response.data)
		  .catch(error => console.log(error));
		  
		axios
		  .get('api/license_days')
		  .then(response => this.licenseDays = response.data)
		  .catch(error => console.log(error));
		if(this.licenseDays == null)
		{
			this.smallLicenseText = 'Проверка лицензии';
			this.bigLicenseText = '';			
		}
		else if(this.licenseDays > 20)
		{
			this.smallLicenseText = 'Лицензия активна';
			this.bigLicenseText = '';
		}
		else if(this.licenseDays <=0)
		{
			this.smallLicenseText = '';
			this.bigLicenseText = 'Ошибка лицензии!';
		}
		else
		{
			this.smallLicenseText = 'Лицензия кончается';
			this.bigLicenseText = this.licenseDate;
		};
		*/
	},
	autoRefreshClick: function (event) {
		if(!this.autoRefreshChecked)
		{
			connected = true;
			startTimer();			
		}
		else
		{
			stopTimer();
			connected = false;
		};
		this.isConnected = connected;
	}
   }  
});

