var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'rk7',
	   selected2:'windows'
  }
});

function Update() {
	remoteWindow.refresh();
};


var remoteWindow = new Vue({
	el: '#remote_screen',
	data() {
		return{
			clicked: false,
			keys: false,
			screenControl: false,
			nHeight: 1920,
			nWidth: 1080,
			imageContainer: null,
			wnd: 0,
			windows: [],
			title: ''
		}
	},
	mounted(){
		this.imageContainer = document.getElementById('img_container');
	},
	methods:{
		refresh: function () {
			axios
			  .get('api/json_get_windows_rk7')
			  .then(response => this.windows = response.data)
			  .catch(error => console.log(error));		
			
			if(this.wnd != 0)
			{
				d = new Date();
				$('#img_container').attr('src', 'api/wscreen_view?wnd='+this.wnd+'&t='+d.getTime());
				this.nHeight = this.imageContainer.naturalHeight;
				this.nWidth = this.imageContainer.naturalWidth;
			}
		},
		onMouseDown: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/w_send_click?wnd='+this.wnd+'&event=mouse_down&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
			this.clicked = true;
			return false;
		},
		onMouseUp: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/w_send_click?wnd='+this.wnd+'&event=mouse_up&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
			this.clicked = false;
			return false;
		},
		onMouseContext: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/w_send_click?wnd='+this.wnd+'&event=mouse_context&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
			this.clicked = false;
			return false;
		},
		onMouseMove: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			axios
			  .get('api/w_send_click?wnd='+this.wnd+'&event=mouse_move&x=' + x + '&y=' + y)
			  .catch(error => console.log(error));
		},
		onMouseWheel: function (event) {
			if(!this.screenControl)
				return;
			var x = event.offsetX==undefined?event.layerX:event.offsetX;
			var y = event.offsetY==undefined?event.layerY:event.offsetY;
			x = Math.floor(x * this.nWidth / this.imageContainer.width);
			y = Math.floor(y * this.nHeight / this.imageContainer.height);
			var delta = -1 * (event.deltaY || event.detail || event.wheelDelta);
			axios
			  .get('api/w_send_click?wnd='+this.wnd+'&event=mouse_wheel&x=' + x + '&y=' + y + '&d=' + delta)
			  .catch(error => console.log(error));
		}
	}
});
